Updates the user_sales_organization_list object with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

user_sales_organization_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
user_id

Foreign key to user

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_sales_organization_list

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_sales_organization_list

user

Optionally required : user_id, user_code or user must be provided

sales_organization_id

Foreign key to sales_organization

globally unique identifier

Optionally required : sales_organization_id, sales_organization_code or sales_organization must be provided

sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating user_sales_organization_list

string

Optionally required : sales_organization_id, sales_organization_code or sales_organization must be provided

sales_organization

Embedded entity "sales_organization" using node when adding/updating user_sales_organization_list

sales_organization

Optionally required : sales_organization_id, sales_organization_code or sales_organization must be provided

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "e6c7f3b7-07e3-4b01-aae6-523ffb66f661",
  "user_id": "1cc15b3c-f3db-468f-9f08-bc7ed963e74b",
  "user_code": "sample string 3",
  "sales_organization_id": "07631d8e-6dd7-4d5f-b5fd-822cc677fa21",
  "sales_organization_code": "sample string 5",
  "reference_back_office": "sample string 6",
  "modified_dateutc": "2026-11-12T14:44:54.5374199+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.